#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Fichier de configuration
#   - Pour faire appel on nom de la page courante dans les chaine docku
#     utilisez $pagename$
#   - Je ne trouve pas comme explimé proprement [\S\s]


# Syntaxe dans les pages (traitement ligne par ligne)
syntaxe = [
#   ( explression régulière chu     , remplacer par dans doku           ), # commentaire
    # *** bidouille particulière ***
    #~ ( r'\\\[\['                     ,'['                                ),
    #~ ( r'\]\\\]$'                    ,']\n'                              ),
    #~ ( r'\]\\\]'                     ,']'                                ),
    ( r'\\'                         ,''                                 ), # suppresion \
    #~ ( r'\%\%\%\%\%\%'               ,'\n\n'                             ),
    #~ ( r'http://mythtv-fr\.info/wiki/wiki\.php\?', '/'                   ), # vieux lien intern pas propre
    #~ ( r'wiki\.php\?'                , '/'                               ), # mais quel sapin de noel ce wiki
    #~ ( r'^----[-]*\n$'               , '\n\n'                            ), # Supression des ligne horizontal
    #~ ( r'\[([\S\s]*)\|#[\S\s]*\]'    , '%(0)s'                           ), # Supression des liens type ancre intrerne à la page qui on une chance sur 1000 de fonctionné
    #~ ( r'<< Retour au Début'         , '[<< Retour au Début|$pagename$#]'), # Recréation d'un lien pour retourer en haut de page

    # *** Titres ***
    ( r'^\!\!\!\!\! ([\S\s]*)\n$'   , '== %(0)s ==\n'                   ), # 4e niveau
    ( r'^\!\!\!\!\!([\S\s]*)\n$'    , '== %(0)s ==\n'                   ),
    ( r'^\!\!\!\! ([\S\s]*)\n$'     , '=== %(0)s ===\n'                 ), # 4e niveau
    ( r'^\!\!\!\!([\S\s]*)\n$'      , '=== %(0)s ===\n'                 ),
    ( r'^\!\!\! ([\S\s]*)\n$'       , '==== %(0)s ====\n'               ), # 3e niveau
    ( r'^\!\!\!([\S\s]*)\n$'        , '==== %(0)s ====\n'               ),
    ( r'^\!\! ([\S\s]*)\n$'         , '===== %(0)s =====\n'             ), # 2e niveau
    ( r'^\!\!([\S\s]*)\n$'          , '===== %(0)s =====\n'             ),
    ( r'^\! ([\S\s])\n$'            , '====== %(0)s ======\n'           ), # 1er niveau
    ( r'^\!([\S\s]*)\n$'            , '====== %(0)s ======\n'           ),
    ( r'^----[-]*\n$'               , '\n\n======\n\n'                  ), # ligne horizontal (---- fonctionne sous doku mais ça pose problème pour la la conversion des puces après
    # *** Liens (j'y arrive pas en expression régulière --> fonction spécial dans chu2doku) ***
    #~ ( r'\[([\S\s][^\[\|]*)\|http\:\/\/([\S\s][^\[\|]*)\|[\S\s][^\[\|]*\|[\S\s][^\[\|]*\]'
                                    #~ , '[[http://%(1)s|%(0)]]'           ), # extern [text|url|lang|titre]
    #~ ( r'\[([\S\s][^\[\|]*)\|http\:\/\/([\S\s][^\[\|]*)\|[\S\s][^\[\|]*\]'
                                    #~ , '[[http://%(0)s]]'                ), # extern [text|url|lang]
    #~ ( r'\[([\S\s][^\[\|]*)\|http\:\/\/([\S\s][^\[\]\|]*)\]'
                                    #~ , '[[%(1)s|%(0)]]'                  ), # extern [text|url]
    #~ ( r'\[http\:\/\/([\S\s][^\[\|]*)\]'    , '[[%(0)]]'                        ), # intern [text]
    #~ ( r'\[([\S\s][^\[\|]*)\|([\S\s][^\[\|]*)\|[\S\s][^\[\|]*\|[\S\s][^\[\|]*\]'
                                    #~ , '[[http://%(1)s|%(0)]]'           ), # intern [text|url|lang|titre]
    #~ ( r'\[([\S\s][^\[\|]*)\|([\S\s][^\[\|]*)\|[\S\s][^\[\|]*\]'
                                    #~ , '[[http://%(0)s]]'                ), # intern [text|url|lang]
    #~ ( r'\[([\S\s][^\[\|]*)\|([\S\s][^\[\|]*)\]'   , '[[%(1)s|%(0)]]'                  ), # intern [text|url]
    #~ ( r'\[([\S\s][^\[\|]*)\]'    , '[[%(0)]]'                                  ), # inetrn [text]
    # *** Images (j'y arrive pas en expression régulière --> fonction spécial dans chu2doku) ***
    #~ ( r'\(\(([\S\s]*)\|([\S\s]*)\|G\)\)* ', '{{%(0)s }}'                ), # texte alternatif + alignement
    #~ ( r'\(\(([\S\s]*)\|([\S\s]*)\|D\)\)* ', '{{ %(0)s}}'                ),
    #~ ( r'\(\(([\S\s]*)\|([\S\s]*)\|C\)\)* ', '{{ %(0)s }}'               ),
    #~ ( r'\(\(([\S\s]*)\|([\S\s]*)\)\)* ', '{{%(0)s}}'                    ), # texte alternatif
    #~ ( r'\(\(([\S\s]*)\|\|G\)\)* '     , '{{%(0)s }}'                    ), # alignement
    #~ ( r'\(\(([\S\s]*)\|\|D\)\)* '     , '{{ %(0)s}}'                    ),
    #~ ( r'\(\(([\S\s]*)\|\|C\)\)* '     , '{{ %(0)s }}'                   ),
    #~ ( r'\(\(([\S\s]*)\)\)* '          , '{{%(0)s}}'                     ), # minimum
    #~ ( r'\(\(([\S\s]*)\|([\S\s]*)\|G\)\)', '{{%(0)s }}'                  ), # texte alternatif + alignement
    #~ ( r'\(\(([\S\s]*)\|([\S\s]*)\|D\)\)', '{{ %(0)s}}'                  ),
    #~ ( r'\(\(([\S\s]*)\|([\S\s]*)\|C\)\)', '{{ %(0)s }}'                 ),
    #~ ( r'\(\(([\S\s]*)\|([\S\s]*)\)\)', '{{%(0)s}}'                      ), # texte alternatif
    #~ ( r'\(\(([\S\s]*)\|\|G\)\)'     , '{{%(0)s }}'                      ), # alignement
    #~ ( r'\(\(([\S\s]*)\|\|D\)\)'     , '{{ %(0)s}}'                      ),
    #~ ( r'\(\(([\S\s]*)\|\|C\)\)'     , '{{ %(0)s }}'                     ),
    #~ ( r'\(\(([\S\s]*)\)\)'          , '{{%(0)s}}'                       ), # minimum
    # *** Puce et numérotation ***
    ( r'^----- |\*\*\*\*\* '        , '          *'                     ), # 5ème niveau
    ( r'^-----|\*\*\*\*\*'          , '          * '                    ),
    ( r'^---- |\*\*\*\* '           , '        *'                       ),
    ( r'^----|\*\*\*\*'             , '        * '                      ),
    ( r'^--- |\*\*\* '              , '      *'                         ),
    ( r'^---|\*\*\*'                , '      * '                        ),
    ( r'^-- |\*\* '                 , '    *'                           ),
    ( r'^--|\*\*'                   , '    * '                          ),
    ( r'^- |\* '                    , '  *'                             ),
    ( r'^-|\*'                      , '  * '                            ), # 1er niveau
    #~ ( r'^[-]'                      , ' * '                            ), # 1er niveau
    ( r'^##### '                    , '          - '                    ), # 5ème niveau
    ( r'^#####'                     , '          - '                    ),
    ( r'^#### '                     , '        - '                      ),
    ( r'^####'                      , '        - '                      ),
    ( r'^### '                      , '      - '                        ),
    ( r'^###'                       , '      - '                        ),
    ( r'^## '                       , '    - '                          ),
    ( r'^##'                        , '    - '                          ),
    ( r'^# '                        , '  - '                            ),
    ( r'^#'                         , '  - '                            ), # 1er niveau
    # *** formatage police ***
    ( r'@@_([\S\s]*)_[ ]*@@'        , '//\'\'%(0)s\'\'//'               ), # code en italique :/

    ( r'__'                         , '**'                              ), # gras
    ( r'_'                          , '//'                              ), # italique (ils sont chiant !!!)
    #~ ( r'^_'                         , '//'                              ), # italique en debut de lifne
    ( r'\'\''                       , '"'                               ), # citation en ligne (pas de syntaxe dans doku)
    ( r'@@'                         , '\'\''                            ), # code
    # *** autres ****
    #~ ( r'\\_'                        , ' '                               ), # espace dans les liens
    ( r'\{\{\{'                     , '<code>'                          ), # code
    ( r'\}\}\}'                     , '</code>'                         ),
    ( r';([\S\s]*):([\S\s]*)\n'     , '**%(0)s** :\n>((%(1)s))\n'       ), # definitions
    ( r';([\S\s]*):([\S\s]*)'       , '**%(0)s** :\n>((%(1)s))'         ), # definitions
    ( r'~~[\s\S]*~~'                , ''                                ), # ancre
    ( r'%\%\%'                      , '\\\\\\\\'                        ), # retour à la ligne il en faut deux dans doku mais il doit y avoir un echapement en plus que celui des chaine régulière quelque part ...
    ( r'^ '                         , '  '                              ), # ajoute un espace en debut de ligne ou y'en a déja uns
]

# Nettoyage des noms de fichier (chaine à remplacer par)
cleanStr = [
    ( r'%C3%A9|%C3%A8|%C3%AA'       , 'e'                               ), # éèê
    ( r'%C3%A0'                     , 'a'                               ), # à
    ( r'%C3%B9'                     , 'u'                               ), # u
    ( r'\%\w{2}'                    , '_'                               ), # tous autres les % + 2 caractères (%20)
    ( r'[\.]+'                      , ''                                ), # suppr point
]

# Option à ajouter après l'adresse de l'image (générallement spécification des dimention)
optionImg = '' #ex '?120'

